/**
 * Copyright (C) 2012-2016  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.windows.exporter.base;

public enum Charset
{

    BIG5( "Big5" ),
    BIG5_SOLARIS( "Big5_Solaris" ),
    BIG5_HKSCS( "Big5-HKSCS" ),
    CP037( "Cp037" ),
    CP1006( "Cp1006" ),
    CP1025( "Cp1025" ),
    CP1026( "Cp1026" ),
    CP1046( "Cp1046" ),
    CP1047( "Cp1047" ),
    CP1097( "Cp1097" ),
    CP1098( "Cp1098" ),
    CP1112( "Cp1112" ),
    CP1122( "Cp1122" ),
    CP1123( "Cp1123" ),
    CP1124( "Cp1124" ),
    CP1140( "Cp1140" ),
    CP1141( "Cp1141" ),
    CP1142( "Cp1142" ),
    CP1143( "Cp1143" ),
    CP1144( "Cp1144" ),
    CP1145( "Cp1145" ),
    CP1146( "Cp1146" ),
    CP1147( "Cp1147" ),
    CP1148( "Cp1148" ),
    CP1149( "Cp1149" ),
    CP1381( "Cp1381" ),
    CP1383( "Cp1383" ),
    CP273( "Cp273" ),
    CP277( "Cp277" ),
    CP278( "Cp278" ),
    CP280( "Cp280" ),
    CP284( "Cp284" ),
    CP285( "Cp285" ),
    CP297( "Cp297" ),
    CP33722( "Cp33722" ),
    CP420( "Cp420" ),
    CP424( "Cp424" ),
    CP437( "Cp437" ),
    CP500( "Cp500" ),
    CP737( "Cp737" ),
    CP775( "Cp775" ),
    CP838( "Cp838" ),
    CP850( "Cp850" ),
    CP852( "Cp852" ),
    CP855( "Cp855" ),
    CP856( "Cp856" ),
    CP857( "Cp857" ),
    CP858( "Cp858" ),
    CP860( "Cp860" ),
    CP861( "Cp861" ),
    CP862( "Cp862" ),
    CP863( "Cp863" ),
    CP864( "Cp864" ),
    CP865( "Cp865" ),
    CP866( "Cp866" ),
    CP868( "Cp868" ),
    CP869( "Cp869" ),
    CP870( "Cp870" ),
    CP871( "Cp871" ),
    CP874( "Cp874" ),
    CP875( "Cp875" ),
    CP918( "Cp918" ),
    CP921( "Cp921" ),
    CP922( "Cp922" ),
    CP930( "Cp930" ),
    CP933( "Cp933" ),
    CP935( "Cp935" ),
    CP937( "Cp937" ),
    CP939( "Cp939" ),
    CP942( "Cp942" ),
    CP942C( "Cp942C" ),
    CP943( "Cp943" ),
    CP943C( "Cp943C" ),
    CP948( "Cp948" ),
    CP949( "Cp949" ),
    CP949C( "Cp949C" ),
    CP950( "Cp950" ),
    CP964( "Cp964" ),
    CP970( "Cp970" ),
    EUC_JP( "EUC-JP" ),
    EUC_KR( "EUC-KR" ),
    GB18030( "GB18030" ),
    GBK( "GBK" ),
    ISCII91( "ISCII91" ),
    ISO2022_CN_CNS( "ISO2022_CN_CNS" ),
    ISO2022_CN_GB( "ISO2022_CN_GB" ),
    ISO_2022_JP( "ISO-2022-JP" ),
    ISO_2022_KR( "ISO-2022-KR" ),
    ISO_8859_1( "ISO-8859-1" ),
    ISO_8859_13( "ISO-8859-13" ),
    ISO_8859_15( "ISO-8859-15" ),
    ISO_8859_2( "ISO-8859-2" ),
    ISO_8859_3( "ISO-8859-3" ),
    ISO_8859_4( "ISO-8859-4" ),
    ISO_8859_5( "ISO-8859-5" ),
    ISO_8859_6( "ISO-8859-6" ),
    ISO_8859_7( "ISO-8859-7" ),
    ISO_8859_8( "ISO-8859-8" ),
    ISO_8859_9( "ISO-8859-9" ),
    JISAUTODETECT( "JISAutoDetect" ),
    KOI8_R( "KOI8-R" ),
    MAC_ARABIC( "MacArabic" ),
    MAC_CENTRAL_EUROPE( "MacCentralEurope" ),
    MAC_CROATIAN( "MacCroatian" ),
    MAC_CYRILLIC( "MacCyrillic" ),
    MAC_DINGBAT( "MacDingbat" ),
    MAC_GREEK( "MacGreek" ),
    MAC_HEBREW( "MacHebrew" ),
    MAC_ICELAND( "MacIceland" ),
    MAC_ROMAN( "MacRoman" ),
    MAC_ROMANIA( "MacRomania" ),
    MAC_SYMBOL( "MacSymbol" ),
    MAC_THAI( "MacThai" ),
    MAC_TURKISH( "MacTurkish" ),
    MAC_UKRAINE( "MacUkraine" ),
    MS874( "MS874" ),
    SHIFT_JIS( "Shift_JIS" ),
    TIS_620( "TIS-620" ),
    US_ASCII( "US-ASCII" ),
    UTF_16( "UTF-16" ),
    UTF_16BE( "UTF-16BE" ),
    UTF_16LE( "UTF-16LE" ),
    UTF_8( "UTF-8" ),
    WINDOWS_1250( "windows-1250" ),
    WINDOWS_1251( "windows-1251" ),
    WINDOWS_1252( "windows-1252" ),
    WINDOWS_1253( "windows-1253" ),
    WINDOWS_1254( "windows-1254" ),
    WINDOWS_1255( "windows-1255" ),
    WINDOWS_1256( "windows-1256" ),
    WINDOWS_1257( "windows-1257" ),
    WINDOWS_1258( "windows-1258" ),
    WINDOWS_31J( "windows-31j" ),
    X_EUC_CN( "x-EUC-CN" ),
    X_EUC_JP_LINUX( "x-EUC-JP-LINUX" ),
    X_EUC_TW( "x-EUC-TW" ),
    X_MS950_HKSCS( "x-MS950-HKSCS" ),
    X_MSWIN_936( "x-mswin-936" ),
    X_WINDOWS_949( "x-windows-949" ),
    X_WINDOWS_950( "x-windows-950" );

    private String charset;

    /**
     * Set charset string.
     * 
     * @param charset charset string
     */
    private Charset( String charset )
    {
        this.charset = charset;
    }

    /**
     * Get the value for specified charset enum.
     * 
     * @return the value for specified charset enum
     */
    public String getCharset()
    {
        return charset;
    }

    @Override
    public String toString()
    {
        return "charset: " + charset;
    }

}
